Skip to content

Search accounts and call log

Lists
POSThttps://api.dcdial.com/api/type=search_lead
Read onlyToken

Searches accounts and the call log by phone number, account, name, date and other details.

Parameters

Send as application/x-www-form-urlencoded.

  • typestringrequired

    Selects the operation. Always search_lead for this endpoint.

  • tokenstringrequired

    Your API token from Log in. See Authentication.

  • querystringoptional

    Free-text search (name, phone or account).

    Example Doe
  • search_datestringoptional

    Date to search (YYYY-MM-DD).

  • fromstringoptional

    Start of a date range (YYYY-MM-DD).

  • tostringoptional

    End of a date range (YYYY-MM-DD).

  • daysintegeroptional

    Look back this many days.

  • call_typestringoptional

    Filter by call type (for example inbound or outbound).

  • usernamestringoptional

    Filter by the agent username.

  • namestringoptional

    Filter by account holder name.

  • flagstringoptional

    Filter by flag.

  • statusstringoptional

    Filter by call status.

Terminal window
curl https://api.dcdial.com/api/ \
-d type=search_lead \
-d token="$DCDIAL_TOKEN" \
-d query=Doe \
-d search_date=value \
-d from=value
Response · 200 OK
{
"response": {
"success": 1,
"footer": "0",
"error": "",
"all_log_search": [
{
"uniqueid": "1555005158.1906",
"lead_id": "1230291(5550108123)",
"list_id": "222210311",
"call_date": "04/11/19 01:52 PM",
"full_name": "John Smith",
"status": "DROP",
"call_type": "OUTBOUND",
"campaign_id": "cmpc4IZsWz1z77dC10311",
"flag": "0",
"phone_number": "5550109123",
"campaign_name": "Payment Predictive",
"list_name": "Default Outbound List"
},
{
"uniqueid": "1555005132.1903",
"lead_id": "1230290(5550110123)",
"list_id": "222210311",
"call_date": "04/11/19 01:52 PM",
"full_name": "John Smith",
"status": "INCALL",
"call_type": "OUTBOUND",
"campaign_id": "cmpc4IZsWz1z77dC10311",
"flag": "0",
"phone_number": "5550111123",
"campaign_name": "Payment Predictive",
"list_name": "Default Outbound List"
}
]
}
}

Try it

Environment